
typedef struct {
	float rf_drive_lo;
	float rf_drive_hi;
	float start_sweep;
	float stop_sweep;
	int mtr_level;
} SWEEPER_PAR;


SWEEPER_PAR *sweeper_init(int sweeper, int model);
void mtr_zero(int meter,int model);
int mtr_zeroed(int meter,int model);
float pwr_set_range(int meter,int range,int model);
void set_range_rd(int meter,int range,int model);
float read_power(int meter, int model);
int read_range(int meter, int model);
void set_sweeper_on(int sweeper,float freq, float drive, int model);
void set_rf_power(int sweeper, float drive, int model);
void sweeper_rf_off(int sweeper, int model);
void switch_path_a(int switch_driver, int model);
void switch_path_b(int switch_driver, int model);
