/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "e_factory.h"

FD_main *create_form_main(void)
{
  FL_OBJECT *obj;
  FD_main *fdui = (FD_main *) fl_calloc(1, sizeof(*fdui));

  fdui->main = fl_bgn_form(FL_NO_BOX, 520, 230);
  obj = fl_add_box(FL_UP_BOX,0,0,520,230,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,250,50,250,130,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,50,200,130,"");
  obj = fl_add_box(FL_UP_BOX,0,0,520,40,"");
  fdui->File_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,50,20,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,File_menu_cb,0);
  fdui->Edit_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,60,10,50,20,"Edit");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Edit_menu_cb,0);
  fdui->Test_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,160,10,50,20,"Test");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Test_menu_cb,0);
  fdui->Help_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,460,10,50,20,"Help");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Help_menu_cb,0);
  fdui->Equip_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,210,10,70,20,"Equipment");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Equip_menu_cb,0);
  fdui->Calibrate_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,280,10,60,20,"Calibrate");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Calibrate_menu_cb,0);
  fdui->Part = obj = fl_add_input(FL_NORMAL_INPUT,90,60,110,30,"Part Number");
  fdui->Engineer = obj = fl_add_input(FL_NORMAL_INPUT,90,100,110,30,"Engineer");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
  fdui->Operator = obj = fl_add_input(FL_NORMAL_INPUT,90,140,110,30,"Operator");
    fl_set_object_gravity(obj, FL_West, FL_NoGravity);
  fdui->Process_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,110,10,50,20,"Process");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,Process_menu_cb,0);
  obj = fl_add_clock(FL_ANALOG_CLOCK,400,60,80,70,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
  obj = fl_add_pixmap(FL_NORMAL_PIXMAP,420,190,90,40,"");
  fdui->NC_file = obj = fl_add_input(FL_NORMAL_INPUT,330,140,150,30,"NC Test File");
    fl_set_object_callback(obj,NC_file_cb,0);
  fdui->NC_start = obj = fl_add_button(FL_NORMAL_BUTTON,260,60,110,30,"NC Test Start");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,NC_start_cb,0);
  fdui->NC_abort = obj = fl_add_button(FL_NORMAL_BUTTON,260,100,110,30,"Abort");
    fl_set_object_color(obj,FL_RED,FL_DARKTOMATO);
    fl_set_object_lcol(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,NC_abort_cb,0);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_LSG *create_form_LSG(void)
{
  FL_OBJECT *obj;
  FD_LSG *fdui = (FD_LSG *) fl_calloc(1, sizeof(*fdui));

  fdui->LSG = fl_bgn_form(FL_NO_BOX, 380, 450);
  obj = fl_add_box(FL_UP_BOX,0,0,380,450,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,180,360,80,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,230,120,"");
  obj = fl_add_box(FL_UP_BOX,0,0,380,40,"");
  fdui->LSG_file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,60,20,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,LSG_file_menu_cb,0);
  fdui->LSG_display_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,90,10,60,20,"Display");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,LSG_display_menu_cb,0);
  fdui->LSG_help_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,310,10,60,20,"Help");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,LSG_help_menu_cb,0);
  fdui->LSG_start_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,60,80,30,"Start Frequency");
  fdui->LSG_stop_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,90,80,30,"Stop Frequency");
  fdui->LSG_drive_box = obj = fl_add_input(FL_NORMAL_INPUT,110,220,110,30,"");
  fdui->LSG_drive_low = obj = fl_add_input(FL_NORMAL_INPUT,110,190,50,30,"");
  fdui->LSG_drive_high = obj = fl_add_input(FL_NORMAL_INPUT,170,190,50,30,"");
  fdui->LSG_start = obj = fl_add_button(FL_NORMAL_BUTTON,260,60,110,30,"Start");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,LSG_start_cb,0);
  fdui->LSG_abort = obj = fl_add_button(FL_NORMAL_BUTTON,260,100,110,30,"Abort");
    fl_set_object_color(obj,FL_RED,FL_DARKTOMATO);
    fl_set_object_lcol(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,LSG_abort_cb,0);
  fdui->LSG_drive_limit_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,190,30,30,"Drive Limits:");
    fl_set_object_callback(obj,LSG_drive_limit_button_cb,0);
  fdui->LSG_drive_box_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,220,30,30,"Drive Box File");
    fl_set_object_callback(obj,LSG_drive_box_button_cb,0);
  fdui->DC_power = obj = fl_add_button(FL_PUSH_BUTTON,260,140,110,30,"Device Power");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
    fl_set_object_callback(obj,DC_power_cb,0);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,270,360,80,"");
  fdui->LSG_in_cal = obj = fl_add_input(FL_NORMAL_INPUT,120,280,220,30,"Input Calibration File");
  fdui->LSG_out_cal = obj = fl_add_input(FL_NORMAL_INPUT,120,310,220,30,"Output Calibration File");
  fdui->LSG_freqs = obj = fl_add_counter(FL_NORMAL_COUNTER,70,130,160,30,"Frequencies");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  fdui->LSG_range = obj = fl_add_counter(FL_NORMAL_COUNTER,290,230,70,20,"Min. Range");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  fdui->LSG_resolution = obj = fl_add_counter(FL_NORMAL_COUNTER,290,210,70,20,"Drive Res.");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  fdui->LSG_drive_steps = obj = fl_add_counter(FL_NORMAL_COUNTER,290,190,70,20,"Drive Steps");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,360,360,80,"");
  fdui->LSG_a_start_freq = obj = fl_add_input(FL_NORMAL_INPUT,80,370,70,30,"Chan. A Start");
  fdui->LSG_a_stop_freq = obj = fl_add_input(FL_NORMAL_INPUT,80,400,70,30,"Chan. A Stop");
  fdui->LSG_b_start_freq = obj = fl_add_input(FL_NORMAL_INPUT,220,370,70,30,"Chan. B Start");
  fdui->LSG_b_stop_freq = obj = fl_add_input(FL_NORMAL_INPUT,220,400,70,30,"Chan. B Stop");
  fdui->LSG_2_path = obj = fl_add_checkbutton(FL_PUSH_BUTTON,320,380,20,20,"2 path (filters)");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_phase_velocity *create_form_phase_velocity(void)
{
  FL_OBJECT *obj;
  FD_phase_velocity *fdui = (FD_phase_velocity *) fl_calloc(1, sizeof(*fdui));

  fdui->phase_velocity = fl_bgn_form(FL_NO_BOX, 380, 300);
  obj = fl_add_box(FL_UP_BOX,0,0,380,300,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,190,140,180,150,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,180,80,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,140,180,150,"");
  obj = fl_add_box(FL_UP_BOX,0,0,380,40,"");
  fdui->VEL_file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,60,20,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,VEL_file_menu_cb,0);
  fdui->VEL_display_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,90,10,60,20,"Display");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,VEL_display_menu_cb,0);
  fdui->VEL_help_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,310,10,60,20,"Help");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,VEL_help_menu_cb,0);
  fdui->VEL_start_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,60,80,30,"Start Frequency");
  fdui->VEL_stop_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,90,80,30,"Stop Frequency");
  fdui->VEL_start = obj = fl_add_button(FL_NORMAL_BUTTON,280,50,70,30,"Start");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,VEL_start_cb,0);
  fdui->VEL_abort = obj = fl_add_button(FL_NORMAL_BUTTON,280,90,70,30,"Abort");
    fl_set_object_color(obj,FL_RED,FL_DARKTOMATO);
    fl_set_object_lcol(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,VEL_abort_cb,0);
  fdui->VEL_axial_pts = obj = fl_add_counter(FL_NORMAL_COUNTER,30,240,130,30,"Axial Points");
  fdui->VEL_cal = obj = fl_add_lightbutton(FL_PUSH_BUTTON,30,150,130,30,"User Calibration");
  fdui->VEL_carriage = obj = fl_add_button(FL_NORMAL_BUTTON,220,230,130,30,"Move Carriage");
  fdui->VEL_freq_pts = obj = fl_add_choice(FL_DROPLIST_CHOICE,30,190,130,30,"Frequencies");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
  fdui->VEL_movement = obj = fl_add_input(FL_NORMAL_INPUT,270,150,80,30,"Movement");
  fdui->VEL_offset = obj = fl_add_input(FL_NORMAL_INPUT,270,190,80,30,"Probe Offset");
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_DC_power *create_form_DC_power(void)
{
  FL_OBJECT *obj;
  FD_DC_power *fdui = (FD_DC_power *) fl_calloc(1, sizeof(*fdui));

  fdui->DC_power = fl_bgn_form(FL_NO_BOX, 580, 490);
  obj = fl_add_box(FL_UP_BOX,0,0,580,490,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,280,380,170,90,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,270,240,100,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,380,260,90,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,260,50,300,210,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,10,240,250,"");
  fdui->DC_voltage_w = obj = fl_add_input(FL_NORMAL_INPUT,60,70,70,30,"Helix");
  fdui->DC_voltage_on = obj = fl_add_input(FL_NORMAL_INPUT,60,130,70,30,"Grid");
  fdui->DC_voltage_off = obj = fl_add_input(FL_NORMAL_INPUT,60,160,70,30,"Bias");
  fdui->DC_voltage_a = obj = fl_add_input(FL_NORMAL_INPUT,60,190,70,30,"Anode");
  fdui->DC_button_on_g = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,130,30,30,"");
  fdui->DC_button_off_bias = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,160,30,30,"");
  fdui->DC_button_a = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,190,30,30,"");
  fdui->DC_cur_w = obj = fl_add_text(FL_NORMAL_TEXT,160,70,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,50,70,20,"Current");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->DC_voltage_c1 = obj = fl_add_input(FL_NORMAL_INPUT,330,70,70,30,"Collector 1");
  fdui->DC_cur_col1 = obj = fl_add_text(FL_NORMAL_TEXT,430,70,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,430,50,70,20,"Current");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,50,70,20,"Voltage");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,60,50,70,20,"Voltage");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->DC_voltage_c2 = obj = fl_add_input(FL_NORMAL_INPUT,330,100,70,30,"Collector 2");
  fdui->DC_voltage_c3 = obj = fl_add_input(FL_NORMAL_INPUT,330,130,70,30,"Collector 3");
  fdui->DC_voltage_c4 = obj = fl_add_input(FL_NORMAL_INPUT,330,160,70,30,"Collector 4");
  fdui->DC_voltage_c5 = obj = fl_add_input(FL_NORMAL_INPUT,330,190,70,30,"Collector 5");
  fdui->DC_voltage_f = obj = fl_add_input(FL_NORMAL_INPUT,60,100,70,30,"Heater");
  fdui->DC_pu = obj = fl_add_input(FL_NORMAL_INPUT,90,390,70,30,"Pulse Width");
  fdui->DC_rep = obj = fl_add_input(FL_NORMAL_INPUT,90,430,70,30,"Rep Rate");
  fdui->DC_cw = obj = fl_add_lightbutton(FL_PUSH_BUTTON,200,390,60,30,"CW");
    fl_set_object_callback(obj,DC_cw_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,200,430,60,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,430,40,30,"Duty");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->DC_button_on_c1 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,400,70,30,30,"");
  fdui->DC_button_on_c2 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,400,100,30,30,"");
  fdui->DC_button_on_c3 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,400,130,30,30,"");
  fdui->DC_button_on_c4 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,400,160,30,30,"");
  fdui->DC_button_on_c5 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,400,190,30,30,"");
  fdui->DC_TWT = obj = fl_add_lightbutton(FL_PUSH_BUTTON,30,20,110,30,"Tube Supply");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->DC_dc_ps = obj = fl_add_lightbutton(FL_PUSH_BUTTON,30,280,110,30,"DC Supply");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->DC_vol_dc_ps = obj = fl_add_input(FL_NORMAL_INPUT,60,330,70,30,"Supply");
  fdui->DC_cur_dc_supply = obj = fl_add_text(FL_NORMAL_TEXT,160,330,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,310,70,20,"Current");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,60,310,70,20,"Voltage");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->DC_cur_htr = obj = fl_add_text(FL_NORMAL_TEXT,160,100,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_grid = obj = fl_add_text(FL_NORMAL_TEXT,160,130,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_bias = obj = fl_add_text(FL_NORMAL_TEXT,160,160,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_anode = obj = fl_add_text(FL_NORMAL_TEXT,160,190,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_col2 = obj = fl_add_text(FL_NORMAL_TEXT,430,100,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_col3 = obj = fl_add_text(FL_NORMAL_TEXT,430,130,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_col4 = obj = fl_add_text(FL_NORMAL_TEXT,430,160,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_cur_col5 = obj = fl_add_text(FL_NORMAL_TEXT,430,190,70,30,"0.00");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DC_delay = obj = fl_add_input(FL_NORMAL_INPUT,350,390,70,30,"Test Delay (s)");
  fdui->DC_TWT_on = obj = fl_add_lightbutton(FL_PUSH_BUTTON,160,20,90,30,"Energize");
    fl_set_object_color(obj,FL_RED,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,DC_TWT_on_cb,0);
  fdui->DC_supply_on = obj = fl_add_lightbutton(FL_PUSH_BUTTON,160,280,90,30,"Energize");
    fl_set_object_color(obj,FL_RED,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,DC_supply_on_cb,0);
  fdui->DC_htr_delay = obj = fl_add_input(FL_NORMAL_INPUT,330,20,70,30,"Htr Delay (s)");
  fdui->DC_htr_voltage_warm = obj = fl_add_input(FL_NORMAL_INPUT,470,20,70,30,"Warmup (V)");
  fdui->DC_cur_cathode = obj = fl_add_input(FL_NORMAL_INPUT,430,220,70,30,"Cathode Current");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,260,10,300,40,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_plot *create_form_plot(void)
{
  FL_OBJECT *obj;
  FD_plot *fdui = (FD_plot *) fl_calloc(1, sizeof(*fdui));

  fdui->plot = fl_bgn_form(FL_NO_BOX, 420, 260);
  obj = fl_add_box(FL_UP_BOX,0,0,420,260,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,210,10,200,110,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,200,110,"");
  fdui->PLOT_xmin = obj = fl_add_input(FL_NORMAL_INPUT,110,20,90,30,"X Axis Minimum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_xmax = obj = fl_add_input(FL_NORMAL_INPUT,110,50,90,30,"X Axis Maximum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_ymin = obj = fl_add_input(FL_NORMAL_INPUT,310,20,90,30,"Y Axis Minimum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_ymax = obj = fl_add_input(FL_NORMAL_INPUT,310,50,90,30,"Y Axis Maximum");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_title = obj = fl_add_input(FL_NORMAL_INPUT,40,140,360,30,"Title");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_plot = obj = fl_add_button(FL_NORMAL_BUTTON,20,180,110,30,"Plot");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_callback(obj,PLOT_plot_cb,0);
  fdui->PLOT_exit = obj = fl_add_button(FL_NORMAL_BUTTON,300,180,110,30,"Exit");
    fl_set_object_color(obj,FL_RED,FL_DARKTOMATO);
    fl_set_object_lcol(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_xticks = obj = fl_add_input(FL_NORMAL_INPUT,110,80,90,30,"X Axis Ticks");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_yticks = obj = fl_add_input(FL_NORMAL_INPUT,310,80,90,30,"Y Axis Ticks");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fdui->PLOT_printer = obj = fl_add_button(FL_NORMAL_BUTTON,160,180,110,30,"Plot to printer");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_callback(obj,PLOT_printer_cb,0);
  fdui->PLOT_command = obj = fl_add_input(FL_NORMAL_INPUT,160,220,250,30,"Print Command");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_calibrate *create_form_calibrate(void)
{
  FL_OBJECT *obj;
  FD_calibrate *fdui = (FD_calibrate *) fl_calloc(1, sizeof(*fdui));

  fdui->calibrate = fl_bgn_form(FL_NO_BOX, 380, 320);
  obj = fl_add_box(FL_UP_BOX,0,0,380,320,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,120,180,120,20,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,230,120,"");
  obj = fl_add_box(FL_UP_BOX,0,0,380,40,"");
  fdui->CAL_file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,60,20,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_file_menu_cb,0);
  fdui->CAL_display_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,90,10,60,20,"Display");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_display_menu_cb,0);
  fdui->CAL_help_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,310,10,60,20,"Help");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_help_menu_cb,0);
  fdui->CAL_start_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,60,80,30,"Start Frequency");
  fdui->CAL_stop_freq = obj = fl_add_input(FL_NORMAL_INPUT,100,90,80,30,"Stop Frequency");
  fdui->CAL_start_ip = obj = fl_add_button(FL_NORMAL_BUTTON,260,60,110,30,"Calibrate Input");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_start_ip_cb,0);
  fdui->CAL_abort = obj = fl_add_button(FL_NORMAL_BUTTON,260,140,110,30,"Abort");
    fl_set_object_color(obj,FL_RED,FL_DARKTOMATO);
    fl_set_object_lcol(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_abort_cb,0);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,210,360,80,"");
  fdui->CAL_in_cal = obj = fl_add_input(FL_NORMAL_INPUT,120,220,220,30,"Input Calibration File");
  fdui->CAL_out_cal = obj = fl_add_input(FL_NORMAL_INPUT,120,250,220,30,"Output Calibration File");
  fdui->CAL_freqs = obj = fl_add_counter(FL_NORMAL_COUNTER,70,130,160,30,"Frequencies");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  fdui->CAL_range = obj = fl_add_counter(FL_NORMAL_COUNTER,300,180,70,20,"Min. Range");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
  fdui->CAL_start_op = obj = fl_add_button(FL_NORMAL_BUTTON,260,100,110,30,"Calibrate Output");
    fl_set_object_color(obj,FL_SPRINGGREEN,FL_PALEGREEN);
    fl_set_object_lcol(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CAL_start_op_cb,0);
  fdui->CAL_2_path = obj = fl_add_checkbutton(FL_PUSH_BUTTON,120,180,80,20,"2 path (filters)");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,240,180,130,20,"");
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_freq_prompt *create_form_freq_prompt(void)
{
  FL_OBJECT *obj;
  FD_freq_prompt *fdui = (FD_freq_prompt *) fl_calloc(1, sizeof(*fdui));

  fdui->freq_prompt = fl_bgn_form(FL_NO_BOX, 270, 130);
  obj = fl_add_box(FL_UP_BOX,0,0,270,130,"");
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,250,40,"Choose frequency for transfer curve plot");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->TRANSFER_freq = obj = fl_add_counter(FL_NORMAL_COUNTER,60,50,140,30,"");
  fdui->TRANSFER_continue = obj = fl_add_button(FL_NORMAL_BUTTON,60,90,140,30,"Continue");
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_power_prompt *create_form_power_prompt(void)
{
  FL_OBJECT *obj;
  FD_power_prompt *fdui = (FD_power_prompt *) fl_calloc(1, sizeof(*fdui));

  fdui->power_prompt = fl_bgn_form(FL_NO_BOX, 270, 130);
  obj = fl_add_box(FL_UP_BOX,0,0,270,130,"");
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,250,40,"Choose drive for power plot\n(db over nominal)");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->POWER_drive = obj = fl_add_counter(FL_NORMAL_COUNTER,60,50,140,30,"");
  fdui->POWER_continue = obj = fl_add_button(FL_NORMAL_BUTTON,60,90,140,30,"Continue");
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

