#include "forms.h"
#include "e_factory.h"

int main(int argc, char *argv[])
{
   FD_main *fd_main;
   FD_LSG *fd_LSG;
   FD_phase_velocity *fd_phase_velocity;
   FD_DC_power *fd_DC_power;
   FD_plot *fd_plot;
   FD_calibrate *fd_calibrate;
   FD_freq_prompt *fd_freq_prompt;
   FD_power_prompt *fd_power_prompt;

   fl_initialize(&argc, argv, 0, 0, 0);
   fd_main = create_form_main();
   fd_LSG = create_form_LSG();
   fd_phase_velocity = create_form_phase_velocity();
   fd_DC_power = create_form_DC_power();
   fd_plot = create_form_plot();
   fd_calibrate = create_form_calibrate();
   fd_freq_prompt = create_form_freq_prompt();
   fd_power_prompt = create_form_power_prompt();

   /* fill-in form initialization code */

   /* show the first form */
   fl_show_form(fd_main->main,FL_PLACE_CENTER,FL_FULLBORDER,"main");
   fl_do_forms();
   return 0;
}
