#ifndef FD_main_h_
#define FD_main_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void File_menu_cb(FL_OBJECT *, long);
extern void Edit_menu_cb(FL_OBJECT *, long);
extern void Test_menu_cb(FL_OBJECT *, long);
extern void Help_menu_cb(FL_OBJECT *, long);
extern void Equip_menu_cb(FL_OBJECT *, long);
extern void Calibrate_menu_cb(FL_OBJECT *, long);
extern void Process_menu_cb(FL_OBJECT *, long);
extern void NC_file_cb(FL_OBJECT *, long);
extern void NC_start_cb(FL_OBJECT *, long);
extern void NC_abort_cb(FL_OBJECT *, long);

extern void LSG_file_menu_cb(FL_OBJECT *, long);
extern void LSG_display_menu_cb(FL_OBJECT *, long);
extern void LSG_help_menu_cb(FL_OBJECT *, long);
extern void LSG_start_cb(FL_OBJECT *, long);
extern void LSG_abort_cb(FL_OBJECT *, long);
extern void LSG_drive_limit_button_cb(FL_OBJECT *, long);
extern void LSG_drive_box_button_cb(FL_OBJECT *, long);
extern void DC_power_cb(FL_OBJECT *, long);

extern void VEL_file_menu_cb(FL_OBJECT *, long);
extern void VEL_display_menu_cb(FL_OBJECT *, long);
extern void VEL_help_menu_cb(FL_OBJECT *, long);
extern void VEL_start_cb(FL_OBJECT *, long);
extern void VEL_abort_cb(FL_OBJECT *, long);

extern void DC_cw_cb(FL_OBJECT *, long);
extern void DC_TWT_on_cb(FL_OBJECT *, long);
extern void DC_supply_on_cb(FL_OBJECT *, long);

extern void PLOT_plot_cb(FL_OBJECT *, long);
extern void PLOT_printer_cb(FL_OBJECT *, long);

extern void CAL_file_menu_cb(FL_OBJECT *, long);
extern void CAL_display_menu_cb(FL_OBJECT *, long);
extern void CAL_help_menu_cb(FL_OBJECT *, long);
extern void CAL_start_ip_cb(FL_OBJECT *, long);
extern void CAL_abort_cb(FL_OBJECT *, long);
extern void CAL_start_op_cb(FL_OBJECT *, long);




/**** Forms and Objects ****/

typedef struct {
	FL_FORM *main;
	FL_OBJECT *File_menu;
	FL_OBJECT *Edit_menu;
	FL_OBJECT *Test_menu;
	FL_OBJECT *Help_menu;
	FL_OBJECT *Equip_menu;
	FL_OBJECT *Calibrate_menu;
	FL_OBJECT *Part;
	FL_OBJECT *Engineer;
	FL_OBJECT *Operator;
	FL_OBJECT *Process_menu;
	FL_OBJECT *NC_file;
	FL_OBJECT *NC_start;
	FL_OBJECT *NC_abort;
	void *vdata;
	long ldata;
} FD_main;

extern FD_main * create_form_main(void);
typedef struct {
	FL_FORM *LSG;
	FL_OBJECT *LSG_file_menu;
	FL_OBJECT *LSG_display_menu;
	FL_OBJECT *LSG_help_menu;
	FL_OBJECT *LSG_start_freq;
	FL_OBJECT *LSG_stop_freq;
	FL_OBJECT *LSG_drive_box;
	FL_OBJECT *LSG_drive_low;
	FL_OBJECT *LSG_drive_high;
	FL_OBJECT *LSG_start;
	FL_OBJECT *LSG_abort;
	FL_OBJECT *LSG_drive_limit_button;
	FL_OBJECT *LSG_drive_box_button;
	FL_OBJECT *DC_power;
	FL_OBJECT *LSG_in_cal;
	FL_OBJECT *LSG_out_cal;
	FL_OBJECT *LSG_freqs;
	FL_OBJECT *LSG_range;
	FL_OBJECT *LSG_resolution;
	FL_OBJECT *LSG_drive_steps;
	FL_OBJECT *LSG_a_start_freq;
	FL_OBJECT *LSG_a_stop_freq;
	FL_OBJECT *LSG_b_start_freq;
	FL_OBJECT *LSG_b_stop_freq;
	FL_OBJECT *LSG_2_path;
	void *vdata;
	long ldata;
} FD_LSG;

extern FD_LSG * create_form_LSG(void);
typedef struct {
	FL_FORM *phase_velocity;
	FL_OBJECT *VEL_file_menu;
	FL_OBJECT *VEL_display_menu;
	FL_OBJECT *VEL_help_menu;
	FL_OBJECT *VEL_start_freq;
	FL_OBJECT *VEL_stop_freq;
	FL_OBJECT *VEL_start;
	FL_OBJECT *VEL_abort;
	FL_OBJECT *VEL_axial_pts;
	FL_OBJECT *VEL_cal;
	FL_OBJECT *VEL_carriage;
	FL_OBJECT *VEL_freq_pts;
	FL_OBJECT *VEL_movement;
	FL_OBJECT *VEL_offset;
	void *vdata;
	long ldata;
} FD_phase_velocity;

extern FD_phase_velocity * create_form_phase_velocity(void);
typedef struct {
	FL_FORM *DC_power;
	FL_OBJECT *DC_voltage_w;
	FL_OBJECT *DC_voltage_on;
	FL_OBJECT *DC_voltage_off;
	FL_OBJECT *DC_voltage_a;
	FL_OBJECT *DC_button_on_g;
	FL_OBJECT *DC_button_off_bias;
	FL_OBJECT *DC_button_a;
	FL_OBJECT *DC_cur_w;
	FL_OBJECT *DC_voltage_c1;
	FL_OBJECT *DC_cur_col1;
	FL_OBJECT *DC_voltage_c2;
	FL_OBJECT *DC_voltage_c3;
	FL_OBJECT *DC_voltage_c4;
	FL_OBJECT *DC_voltage_c5;
	FL_OBJECT *DC_voltage_f;
	FL_OBJECT *DC_pu;
	FL_OBJECT *DC_rep;
	FL_OBJECT *DC_cw;
	FL_OBJECT *DC_button_on_c1;
	FL_OBJECT *DC_button_on_c2;
	FL_OBJECT *DC_button_on_c3;
	FL_OBJECT *DC_button_on_c4;
	FL_OBJECT *DC_button_on_c5;
	FL_OBJECT *DC_TWT;
	FL_OBJECT *DC_dc_ps;
	FL_OBJECT *DC_vol_dc_ps;
	FL_OBJECT *DC_cur_dc_supply;
	FL_OBJECT *DC_cur_htr;
	FL_OBJECT *DC_cur_grid;
	FL_OBJECT *DC_cur_bias;
	FL_OBJECT *DC_cur_anode;
	FL_OBJECT *DC_cur_col2;
	FL_OBJECT *DC_cur_col3;
	FL_OBJECT *DC_cur_col4;
	FL_OBJECT *DC_cur_col5;
	FL_OBJECT *DC_delay;
	FL_OBJECT *DC_TWT_on;
	FL_OBJECT *DC_supply_on;
	FL_OBJECT *DC_htr_delay;
	FL_OBJECT *DC_htr_voltage_warm;
	FL_OBJECT *DC_cur_cathode;
	void *vdata;
	long ldata;
} FD_DC_power;

extern FD_DC_power * create_form_DC_power(void);
typedef struct {
	FL_FORM *plot;
	FL_OBJECT *PLOT_xmin;
	FL_OBJECT *PLOT_xmax;
	FL_OBJECT *PLOT_ymin;
	FL_OBJECT *PLOT_ymax;
	FL_OBJECT *PLOT_title;
	FL_OBJECT *PLOT_plot;
	FL_OBJECT *PLOT_exit;
	FL_OBJECT *PLOT_xticks;
	FL_OBJECT *PLOT_yticks;
	FL_OBJECT *PLOT_printer;
	FL_OBJECT *PLOT_command;
	void *vdata;
	long ldata;
} FD_plot;

extern FD_plot * create_form_plot(void);
typedef struct {
	FL_FORM *calibrate;
	FL_OBJECT *CAL_file_menu;
	FL_OBJECT *CAL_display_menu;
	FL_OBJECT *CAL_help_menu;
	FL_OBJECT *CAL_start_freq;
	FL_OBJECT *CAL_stop_freq;
	FL_OBJECT *CAL_start_ip;
	FL_OBJECT *CAL_abort;
	FL_OBJECT *CAL_in_cal;
	FL_OBJECT *CAL_out_cal;
	FL_OBJECT *CAL_freqs;
	FL_OBJECT *CAL_range;
	FL_OBJECT *CAL_start_op;
	FL_OBJECT *CAL_2_path;
	void *vdata;
	long ldata;
} FD_calibrate;

extern FD_calibrate * create_form_calibrate(void);
typedef struct {
	FL_FORM *freq_prompt;
	FL_OBJECT *TRANSFER_freq;
	FL_OBJECT *TRANSFER_continue;
	void *vdata;
	long ldata;
} FD_freq_prompt;

extern FD_freq_prompt * create_form_freq_prompt(void);
typedef struct {
	FL_FORM *power_prompt;
	FL_OBJECT *POWER_drive;
	FL_OBJECT *POWER_continue;
	void *vdata;
	long ldata;
} FD_power_prompt;

extern FD_power_prompt * create_form_power_prompt(void);

#endif /* FD_main_h_ */
